function col(args)
*
*  decoupe la figure en NX bandes verticales
*
*  , 3 ou 42 arguments
*   1er : NX : nombre de colonnes
*   2eme: Ncol : numero de la colonne dans laquelle sera effectue
*         le prochain dessin. Les zones sont numerotees en partant de 
*         la gauche.
*   3eme: scaling en x (<1)
*   4eme: scaling en y (<1)
*
*   exemple de numerotation des bandes NX=3
*
*   ***************************************** ***
*   *                                           *
*   *     **********   **********  **********   *
*   *     *    1   *   *    2   *  *    3   *   *
*   *     **********   **********  **********   *
*   *                                           *
*   *********************************************
*
** say 'args =' args
NX=subwrd(args,1)
if (NX='')
   NX=1 
endif
*
ncol=subwrd(args,2)
if (ncol='')
   ncol=1 
endif
while(ncol>NX)
  ncol=ncol-NX
endwhile
*
scalx=subwrd(args,3)
if (scalx='')
   scalx=1
endif
if (scalx>1)
   scalx=1
endif
say 'scalx: ' scalx 
*
scaly=subwrd(args,4)
if (scaly='')
   scaly=1
endif
if (scaly>1)
   scaly=1
endif
*
say 'scaly: ' scaly 
*
* Taille totale des plots
*
'set parea off'
'set xlab off'
'set ylab off'
'set grads off'
'set annot 0'
'set frame off'
'hrange -1 1'
'set frame on'
'set annot 1'
'set xlab on'
'set ylab on'
'set ylpos 0 l'
*
'query gxinfo'
rec3 = sublin(result,3)
rec4 = sublin(result,4)
Xmin = subwrd(rec3,4)
Xmax = subwrd(rec3,6)
Ymin = subwrd(rec4,4)
Ymax = subwrd(rec4,6)
Xsiz = Xmax-Xmin
Ysiz = Ymax-Ymin
Xmax = Xmin+scalx*Xsiz
Ymax = Ymin+scaly*Ysiz
*
 say 'Xmin : ' Xmin '  Xmax: 'Xmax ' Ymin: 'Ymin ' Ymax: ' Ymax
*
'set parea 'Xmin' ' Xmax' ' Ymin' ' Ymax
*
*** On laisse un "gap" entre les colonnes
Xgap = 0.1
*
'set xlab off'
'set ylab on'
'set grads off'
'hrange -1 1'
'set xlab on'
'set ylab off'
'set xlpos 0 b'
*
'query gxinfo'
rec3 = sublin(result,3)
rec4 = sublin(result,4)
Xmin = subwrd(rec3,4)
Xmax = subwrd(rec3,6)
Ymin = subwrd(rec4,4)
Ymax = subwrd(rec4,6)
Xsiz = Xmax-Xmin
*
 say Xsiz
*
YORI = Ymin
YFIN = Ymax
*
DX = (Xsiz+Xgap)/NX
***XORI = Xmin + (NX-ncol)*DX
XORI = Xmin + (ncol-1)*DX
XFIN = XORI + DX - Xgap
*
 say ' XORI:'XORI ' XFIN:' XFIN 'YORI :' YORI '  YFIN:'YFIN 
*
'set parea 'XORI' ' XFIN ' ' YORI' ' YFIN
*

