function rowt(args)
*
*  decoupe la figure en NY bandes horizontales
*
*  2, 3 ou 4 arguments
*   1er : NY : nombre de bandes
*   2eme: Nrow : numero de la bande dans laquelle sera effectue
*         le prochain dessin. Les zonee sont numerotes en partant du 
*         haut.
*   3eme: scaling en x (<1)
*   4eme: scaling en y (<1)
*
*   exemple de numerotation des bandes NY=3
*
*   ********************
*   *                  *
*   *     **********   *
*   *     *    1   *   *
*   *     **********   *
*   *                  *
*   *     **********   *
*   *     *    2   *   *
*   *     **********   *
*   *                  *
*   *     **********   *
*   *     *    3   *   *
*   *     **********   *
*   *                  *
*   ********************
*
** say 'args =' args
NY=subwrd(args,1)
if (NY='')
   NY=1 
endif
*
nrow=subwrd(args,2)
if (nrow='')
   nrow=1 
endif
while(nrow>NY)
  nrow=nrow-NY
endwhile
*
scalx=subwrd(args,3)
if (scalx='')
   scalx=1
endif
if (scalx>1)
   scalx=1
endif
say 'scalx: ' scalx 
*
scaly=subwrd(args,4)
if (scaly='')
   scaly=1
endif
if (scaly>1)
   scaly=1
endif
*
say 'scaly: ' scaly 
*
* Taille totale des plots
*
'set parea off'
'set xlab off'
'set ylab off'
'set grads off'
'set annot 0'
'set frame off'
'hrange -1 1'
'set frame on'
'set annot 1'
'set xlab on'
'set ylab on'
'set ylpos 0 l'
*
'query gxinfo'
rec3 = sublin(result,3)
rec4 = sublin(result,4)
Xmin = subwrd(rec3,4)
Xmax = subwrd(rec3,6)
Ymin = subwrd(rec4,4)
Ymax = subwrd(rec4,6)
Xsiz = Xmax-Xmin
Ysiz = Ymax-Ymin
Xmax = Xmin+scalx*Xsiz
Ymax = Ymin+scaly*Ysiz
*
 say 'Xmin : ' Xmin '  Xmax: 'Xmax ' Ymin: 'Ymin ' Ymax: ' Ymax
*
'set parea 'Xmin' ' Xmax' ' Ymin' ' Ymax
*
'set xlab off'
'set ylab off'
'set grads off'
'set annot 0'
'set frame off'
'hrange -1 1'
*
'query gxinfo'
rec3 = sublin(result,3)
rec4 = sublin(result,4)
Xmin = subwrd(rec3,4)
Xmax = subwrd(rec3,6)
Ymin = subwrd(rec4,4)
Ymax = subwrd(rec4,6)
Ysiz = Ymax-Ymin
Xsiz = Xmax-Xmin
*
'set frame on'
'set annot 1'
'set xlab on'
'set ylab on'
'set ylpos 0 l'
*
*** On laisse un "gap" entre les bandes
Ygap = Ymin
*
* say Ysiz
*
XORI = Xmin
XFIN = Xmax
*
DY = (Ysiz+Ygap)/NY
YORI = Ymin + (NY-nrow)*DY
YFIN = YORI + DY - Ygap
*
 say 'XORI :' XORI '  XFIN:'XFIN ' YORI:'YORI ' YFIN:' YFIN
*
'set parea 'XORI' ' XFIN' ' YORI' ' YFIN
*

