#include "dimphy.h"
      REAL psolpa  !pression au sol en Pa 
      REAL psol    !pression au sol en hPa
      REAL tsol    !temperature au sol en K
      REAL qsol    !humidite specifique au sol en kg/kg
      REAL playm   !pression en Pa au milieu de chaque couche Meso-NH
      REAL play    !pression en hPa au milieu de chaque couche GCM
      REAL paprs   !pression en hPa a chaque interface entre couches GCM
      REAL coef1   !coefficient d'interpolation
      REAL coef2   !coefficient d'interpolation
      REAL hplaym  !pression en hecto-Pa des milieux de couche Meso-NH
      REAL tempz   !temperature Meso-NH
      REAL ovapz   !contenu specif. vapeur d'eau Meso-NH
      REAL qlz     !contenu specif. eau liquide Meso-NH
      REAL tempg   !temperature GCM 
      REAL ovapg   !contenu specif. vapeur d'eau GCM
      REAL qlg     !contenu specif. eau liquide GCM
      REAL tetaz   !temperature potentielle Meso-NH
      REAL ZZ      ! altitude Meso-NH (m) 
      REAL ZZG     ! altitude GCM (m)
      REAL UZ      ! vitesse zonale.     Meso-NH   (m/s)
      REAL VZ      ! vitesse meridienne. Meso-NH   (m/s)
      REAL UG      ! vitesse zonale.     GCM       (m/s)
      REAL VG      ! vitesse meridienne. GCM       (m/s)
      REAL EMA_SIG ! section ascendance adiab. (GCM-K.Emanuel) (adim)
      REAL EMA_W   ! vitesse ascendance adiab. (GCM-K.Emanuel) (m/s)
      REAL EMA_CBMF! flux de masse, base nuage (GCM-K.Emanuel)(kg/(m^2.s) 
      REAL WAKE_DT ! ecart de temperature wake-unperturbed area   (K)
      REAL WAKE_DQ ! ecart d'humidite wake-unperturbed area       (adim)
      REAL WAKE_H  ! hauteur de la poche froide                   (m)
      REAL WAKE_S  ! fraction surfacique occupee par la poche froide(adim)
      REAL WAKE_PE ! WAke Potential Energy                        (J/kg)
      INTEGER WAKE_K  ! numero du niveau du sommet de la poche
      REAL WAKE_FIP! Front Incoming Power (W/m2)
      INTEGER JM
      INTEGER klev
      INTEGER nblvlm
      REAL lmt_nat(klon)
      REAL beta(klon) 
      REAL cal(klon)
      REAL dif_grnd(klon)
      REAL rugsol(klon)
      REAL coefh(klon,1)
      COMMON/sol/psol,psolpa,tsol,qsol
     $           ,lmt_nat,beta,cal,dif_grnd,rugsol,coefh
      COMMON/interp/paprs(100),play(100),JM(100)
     $             ,coef1(100),coef2(100),klev
      COMMON/interpp/nblvlm,playm(100),hplaym(100)
      COMMON/ini3/tempz(100),ovapz(100),qlz(100),tetaz(100)
     $           ,uz(100),vz(100),zz(100)
      COMMON/ini4/tempg(100),ovapg(100),qlg(100),ug(100)
     $           ,vg(100),zzg(100),ema_sig(100),ema_w(100)
     $           ,wake_dt(100), wake_dq(100), wake_h, wake_s, wake_pe
     $           ,wake_k,wake_fip
c
      INTEGER heure_zero,jour_zero,mois_zero,ian_zero
      REAL step
      character*3 sdat
      integer  IN,ddat
      COMMON/datation/heure_zero,jour_zero,mois_zero,ian_zero,step
     $               ,IN,ddat(3),sdat
